package dev.model;

public class OrderDetail {

    private int id;

    private int orderId;

    private int menuItemId;

    private int quantity;

    private double price;

    public OrderDetail(int id, int orderId, int menuItemId, int quantity, double priceAtPurchase) {
        this.id = id;
        this.orderId = orderId;
        this.menuItemId = menuItemId;
        this.quantity = quantity;
        this.price = priceAtPurchase;
    }

    public int getOrderId() {
        return orderId;
    }

    public int getMenuItemId() {
        return menuItemId;
    }

    public int getQuantity() {
        return quantity;
    }

    public double getPriceAtPurchase() {
        return price;
    }
}